### Enumeration

# Gio TlsAuthenticationMode

since: 2.28

#### Declaration

    enum Gio.TlsAuthenticationMode

#### Description [src]

The client authentication mode for a `GTlsServerConnection`.

Available since: 2.28

#### Members

`G_TLS_AUTHENTICATION_NONE`

  Client authentication not required.

  - Value: `0`
  - Available since: 2.28
`G_TLS_AUTHENTICATION_REQUESTED`

  Client authentication is requested.

  - Value: `1`
  - Available since: 2.28
`G_TLS_AUTHENTICATION_REQUIRED`

  Client authentication is required.

  - Value: `2`
  - Available since: 2.28